[Date Prev][Date Next] [Chronological] [Thread] [Top]

2.3.19 relocatable RPM package

for those of you intersted, I've rebuild relocatable RPM packages for openldap 2.3.19 . I took <fenlason@redhat.com> 2.3.11-3 as starting point.

By relocatable I mean that you can install theses packages as a whole in
a subdirectory without breaking the system rpm dependencies, the famous liblber and libldap libraries on which many of the installed packages are relying on, here's a usual typical upgrade to 2.3.11 error I get on my FC4
error: Failed dependencies:
liblber-2.2.so.7 is needed by (installed) cyrus-sasl-2.1.20-5.i386
libldap-2.2.so.7 is needed by (installed) cyrus-sasl-2.1.20-5.i386

Here's an example of installation in /usr/local without affecting my system dependent openldap 2.2.29-1.FC4 installation
rpm -ivh --prefix=/usr/local/openldap-2.3.19-1 /usr/src/redhat/RPMS/i386/openldap-*2.3.19-1*.rpm

This implies a certain amount of editing to relfect that scpecific
PATH in slapd.conf and ldap init.d startup script !
Everything is explain in details in a README file included in the package sources and direclty browsable at:

Source package available at

Binaries for FC4 at: